
 .main-left {
  float: left;
  width: 300px;
}

 .main-right {
  margin-left: 340px;
}

 .main-left h3 {
  height: 50px;
  line-height: 50px;
  padding: 0 0 0 20px;
  background: #333;
  font-size: 20px;
  color: #fff;
  font-weight: 600;
  text-transform: uppercase;
}

 .main-left h3::after {
  display: none;
  font-family: "qico";
  content: "\e727";
  float: right;
  font-size: 20px;
  font-weight: normal;
  margin-top: 0px;
  margin-right: 15px;
  -webkit-transition: -webkit-transform 0.3s ease;
  transition: -webkit-transform 0.3s ease;
  transition: transform 0.3s ease;
  transition: transform 0.3s ease, -webkit-transform 0.3s ease;
}

 .main-left h3.active::after {
  -webkit-transform: rotate(45deg) scale(1.08);
  -ms-transform: rotate(45deg) scale(1.08);
  transform: rotate(45deg) scale(1.08);
}

.sidemenu {
  margin: 0 0 15px;
}
.sidemenu.scroll-top {
  position: fixed;
  /* top: 80px; */
  z-index: 100;
  top: 0;
  width: 300px;
}
 .sidemenu ul {
  border: 1px solid #ededed;
  border-top: none;
}

 .sidemenu ul li {
  margin: 3px 0 0;
  border-bottom: 1px solid #ededed;
}

 .sidemenu ul li h5 {
  line-height: 24px;
  display: block;
  font-size: 16px;
  color: #333;
  cursor: pointer;
  position: relative;
}

 .sidemenu ul li h5 a {
  color: #333;
  display: block;
  padding: 10px 20px 10px 20px;
  text-transform: capitalize;
}

.sidemenu ul li h5 a:hover {
  color: var(--color-primary);
  text-decoration: underline;
}
.sidemenu ul li h5 span::after {
  content: "+";
  position: absolute;
  top: 0;
  right: 0;
  width: 40px;
  height: 40px;
  font-size: 24px;
  line-height: 40px;
  display: block;
}

 .sidemenu dl {
  display: none;
}

 .sidemenu dl dd {
  line-height: 40px;
  border-bottom: 1px dashed #dcdcdc;
  background: #fff;
  padding: 0 20px;
}

 .sidemenu dl dd:last-child {
  border-bottom: none;
}

 .sidemenu dl dd a {
  font-size: 15px;
  color: #666;
  padding-left: 15px;
  text-transform: capitalize;
}

.sidemenu dl dd.active,
 .sidemenu dl dd.active a,
.sidemenu dl dd:hover,
 .sidemenu dl dd:hover a {
  color: var(--color-primary);
}

 .sidemenu ul li.active h5 {
  border-bottom: 1px solid #ededed;
}

 .sidemenu ul li.active h5 a {
  color: var(--color-primary);
}

.sidemenu ul li span.sub-active::after {
  content: "-";
}

 
    .container-p {
        /* max-width: 1640px; */
        margin: auto;
        background: var(--bg-color);
        padding: 0 80px;
    }
 
.lemei-goods-read {
  padding: 4rem 0 0rem;
}

.lemei-goods-read .tit {
  position: relative;
  padding: 2rem 0 2rem;
}

.lemei-goods-read .tit .back {
  position: absolute;
  left: 0;
  top: 0;
  color: var(--title-text-color);
}

.lemei-goods-read .product-pics {
  padding: 2rem 0;
  background: var(--bg-color);
}

.lemei-goods-read .product-pics .left-view {
  display: flex;
  flex-direction: row-reverse;
  gap: 16px;
  height: 490px;
}

.lemei-goods-read .swiper-slide i {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 2;
  color: #fff;
  opacity: 0.7;
  cursor: pointer;
}

.lemei-goods-read .t-s .swiper-slide i:hover {
  opacity: 1;
}

.lemei-goods-read .t-s .swiper-slide i {
  font-size: 100px;
}

.lemei-goods-read .d-s .swiper-slide i {
  font-size: 30px;
}

.lemei-goods-read .top-view .left-view .swiper.t-s {
  flex: 1;
}

.lemei-goods-read .top-view .left-view .swiper.t-s img {
  height: 100%;
  object-fit: cover;
}

.lemei-goods-read .product-pics .left-view .d-s {
  width: 80px;
  height: 440px;
}

.lemei-goods-read .product-pics .left-view .d-s img {
  cursor: pointer;
}

.lemei-goods-read .product-pics .left-view .d-s .swiper-wrapper {
  height: auto !important;
}

.lemei-goods-read .top-view .left-view .swiper.d-s {
  height: 100%;
}

.lemei-goods-read .top-view .left-view .swiper.d-s .swiper-slide {
  height: 80px !important;
  /*margin-bottom: 10px;*/
  border-radius: 6px;
  overflow: hidden;
}

.lemei-goods-read .top-view .left-view .swiper.d-s .swiper-slide.swiper-slide-thumb-active {
  border: 3px solid;
  border-image: linear-gradient(0deg, var(--color-primary), var(--color-second)) 3 3;
}

.lemei-goods-read .product-details-content {
  display: flex;
  flex-direction: column;
}

.lemei-goods-read .pro-scroll {
  padding: 2rem 0;
  color: #000;
}
.lemei-goods-read .pro-scroll img{
  width:100%;
}
.lemei-goods-read .pro-scroll p{

} 
 
/* 基础表格样式 */
.lemei-goods-read .pro-scroll  table {
  width: 100%; /* 表格宽度 */
  border-collapse: collapse; /* 合并边框 */
  margin: 20px 0; /* 外边距 */
   /* 字体 */
  border: 1px solid #ddd;
}

/* 表头样式 */
.lemei-goods-read .pro-scroll  table th {
  background-color: #4CAF50; /* 背景色 */
  color: white; /* 文字颜色 */
  text-align: left; /* 文字对齐 */
  padding: 12px; /* 内边距 */
  font-weight: bold; /* 字体粗细 */
}

/* 单元格样式 */
.lemei-goods-read .pro-scroll  table td {
  padding: 10px; /* 内边距 */
  border-bottom: 1px solid #ddd; /* 底部边框 */
}

/* 交替行颜色 */
.lemei-goods-read .pro-scroll  table tr:nth-child(even) {
  background-color: #f2f2f2; /* 偶数行背景色 */
}

/* 鼠标悬停效果 */
.lemei-goods-read .pro-scroll  table tr:hover {
  background-color: #e9e9e9; /* 悬停背景色 */
}
.lemei-goods-read .pro-scroll#gd2 {
  background: var(--bg-color);
  position: relative;
}

.lemei-goods-read .pro-scroll .content-wrapper {
  display: flex;
  gap: 24px;
  justify-content: space-between;
}

.lemei-goods-read .pro-scroll .content-wrapper .rich-text {
  flex: 1;
  overflow: hidden;
}

.lemei-goods-read .pro-scroll .content-wrapper>img {
  width: 25%;
  object-fit: cover;
}

.lemei-goods-read .pro-scroll .product-display {
  margin-top: 2rem;
}

.lemei-goods-read .pro-scroll .product-display img {
  aspect-ratio: 5 /3;
  object-fit: cover;
}

.lemei-goods-read .pro-scroll .swiper-button-prev,
.lemei-goods-read .pro-scroll .swiper-button-next {
  transform: translateY(50px);
}

.lemei-goods-read .pro-scroll .swiper-button-prev:after,
.lemei-goods-read .pro-scroll .swiper-button-next:after {
  content: none;
}

.lemei-goods-read .pro-scroll .swiper-button-prev i,
.lemei-goods-read .pro-scroll .swiper-button-next i {
  font-size: 14px;
  color: var(--title-text-color);
}

.lemei-goods-read .lemei-goods-read .pro_tab_box {
  height: 49px;
}

.lemei-goods-read .pro_tab {
  height: 49px;
  margin-bottom: 30px;
  width: 100%;
  box-sizing: border-box;
  z-index: 99;
  background: #fff;
}

.lemei-goods-read .pro_tab.scroll-top {
  position: fixed;
  /* top: 80px; */
  z-index: 100;
  top: 0;
  width: 74%;
}

.lemei-goods-read .pro_tab ul {
  height: 100%;
  border-bottom: 1px solid #f1f1f1;
  display: -webkit-flex;
  display: flex;
  -webkit-justify-content: space-between;
  justify-content: space-between;
  -webkit-align-items: center;
  align-items: center;
  position: relative;
}

.lemei-goods-read .pro_tab ul li {
  box-sizing: border-box;
  height: 48px;
  line-height: 48px;
  text-align: center;
  position: relative;
  font-size: 17px;
  cursor: pointer;
  display: -webkit-flex;
  display: flex;
  -webkit-align-items: center;
  align-items: center;
  -webkit-justify-content: center;
  justify-content: center;
}

.lemei-goods-read .pro_tab ul li::after {
  content: "";
  width: 0;
  height: 3px;
  position: absolute;
  left: 0;
  bottom: -1px;
  border-radius: 3px;
  transition: all 0.3s ease 0s;
  -webkit-transition: all 0.3s ease 0s;
  background: linear-gradient(90deg, #2a2a2a, #363333);
}

.lemei-goods-read .pro_tab ul li.active {
  background: linear-gradient(0deg, var(--color-primary) 0%, var(--color-second) 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.lemei-goods-read .pro_tab ul li.active::after {
  width: 100%;
}

.lemei-goods-read .product-details-content .color-mode {
  display: flex;
  align-items: center;
  margin-bottom: 25px;
}

.lemei-goods-read .product-details-content .color-mode .color-tag {
  color: #181818;
  font-weight: 500;
  margin-bottom: 0;
  margin-right: 20px;
}

.lemei-goods-read .product-details-content .color-mode .color-cus {
  background: #fff;
  width: 45px;
  height: 45px;
  display: inline-block;
  border-radius: 50%;
  margin: 0 7px;
}

.lemei-goods-read .product-details-content .theme-btn {
  display: block;
  width: 380px;
  height: 54px;
  margin-top: 38px;
  background: linear-gradient(90deg, #231815, #333);
  box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.36);
  border-radius: 27px;
  color: #fff;
  font-size: 18px;
  line-height: 54px;
  font-weight: 500;
  text-align: center;
  text-shadow: 1px 1px 3px rgba(0, 0, 0, 0.15);
  display: flex;
  align-items: center;
  justify-content: center;
}

.lemei-goods-read .product-details-content .theme-btn:hover {
  background: linear-gradient(180deg, #5f5e5e, #41393a);
}

.lemei-goods-read .product-details-content .theme-btn span {
  display: inline-block;
  width: 34px;
  height: 34px;
  background: #FFFFFF;
  box-shadow: 2px 2px 5px 0px rgba(0, 0, 0, 0.15);
  border-radius: 27px;
  margin-left: 9px;
}

.lemei-goods-read .product-details-content .theme-btn span i {
  color: #000;
  line-height: 34px;
}

.lemei-goods-read .product-review-section {
  padding-bottom: 50px;
}

@media (max-width: 767px) {
  .lemei-goods-read {
    padding: 2rem 0;
  }

  .lemei-goods-read .pro-scroll .content-wrapper {
    flex-direction: column;
  }

  .lemei-goods-read .pro-scroll .content-wrapper>img {
    width: 100%;
  }

  .lemei-goods-read .product-details-content .theme-btn {
    height: 42px;
    margin-top: 10px;
    font-size: 14px;
    line-height: 42px;
    width: auto;
  }
}.video-iframe{height:0;width:100%;padding-bottom:74.6%;position:relative;}
.video-iframe iframe{position:absolute;top:0;left:0;width:100%;height:100%;-o-object-fit:cover;object-fit:cover;object-position:center;-o-object-position:center;}



#detail_decorate_root [class*="magic-"]{width:100% !important;height:100% !important;}
#detail_decorate_root [class*="magic-"] *{
  font-size: 16px !important;
}

  
@media screen and (max-width:991px){ 
   .sidemenu.scroll-top{position: static;width: 100%;}
   .main-left {width: 100%;}
   .lemei-goods-read .product-pics {flex-direction: column;display: flex;}
   .main-right {margin-left: 0;}
   .lemei-goods-read .pro_tab.scroll-top {display:none}
   .lemei-goods-read .product-review-section {padding-top: 50px;}
   .container-p {padding: 0 15px;}
   /*.lemei-goods-read .top-view .left-view .swiper.d-s {height: 100%;overflow: unset;width: 100%;margin: 0 auto;}
   .lemei-goods-read .top-view .left-view .swiper.t-s {flex: auto; width: 100%;}
   .lemei-goods-read .product-pics .left-view {height: auto;flex-direction: column;}
   .lemei-goods-read .top-view .left-view .swiper.d-s .swiper-slide {height: 80px !important;width: 80px !important;}*/
}


@media(max-width:576px){
      .lemei-goods-read .top-view .left-view .swiper.d-s .swiper-slide {
        height: 50px !important;
        width: 50px !important;
    }
    .lemei-goods-read .product-pics .left-view {height: 230px;}
    .lemei-goods-read .product-pics .left-view .d-s {width: 50px;}
}
  
  
@media screen and (max-width:991px){

  .richtext-detail{

    width: 100% !important;
  }
  #detail_decorate_root{

    width:100% !important;
  }
  #detail_decorate_root [class*="magic-"]{width:100% !important;height:100% !important;}
  
  .lemei-goods-read .pro_tab ul li {font-size: 11px;}
  
}
.ife-detail-decorate-table  {
  overflow-x: auto;
  white-space: nowrap;
  }
.table-wrapper{
  overflow-x: auto;
  white-space: nowrap;
  }



#detail_decorate_root [class*="magic-"] img {
  width: 100% !important;
}

